Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.security.plugins
Interface SecurityConfigMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  SecurityConfig

public interface SecurityConfigMBean
extends org.jboss.system.ServiceMBean

A security configuration MBean. This establishes the JAAS and Java2 security properties and related configuration.

Version:
  $Revision: 1.2 $
Author:
  Scott.Stark@jboss.org
See Also:
  `DefaultLoginConfig`, `Configuration`

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`String` | `getLoginConfig()` Get the name of the mbean that provides the default JAAS login configuration
`void` | `popLoginConfig()` Pop the current mbean from the login configuration stack and install the previous Configuration as the current instance.
`void` | `pushLoginConfig(String objectName)` Push an mbean onto the login configuration stack and install its Configuration as the current instance.
`void` | `setLoginConfig(String objectName)` Set the name of the mbean that provides the default JAAS login configuration

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### getLoginConfig

    public String getLoginConfig()

  Get the name of the mbean that provides the default JAAS login configuration

### setLoginConfig

    public void setLoginConfig(String objectName)
                        throws javax.management.MalformedObjectNameException

  Set the name of the mbean that provides the default JAAS login configuration

  Throws:
    `javax.management.MalformedObjectNameException`

### pushLoginConfig

    public void pushLoginConfig(String objectName)
                         throws javax.management.JMException,
                                javax.management.MalformedObjectNameException

  Push an mbean onto the login configuration stack and install its Configuration as the current instance.

  Throws:
    `javax.management.JMException`
    `javax.management.MalformedObjectNameException`
  See Also:
    `Configuration`

### popLoginConfig

    public void popLoginConfig()
                        throws javax.management.JMException

  Pop the current mbean from the login configuration stack and install the previous Configuration as the current instance.

  Throws:
    `javax.management.JMException`
  See Also:
    `Configuration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.